/********** Template CSS **********/
:root {
    --primary: #47A73C !important;
    --secondary: #FFF0E6 !important;
    --light: #F8F8F9 !important;
    --dark: #001D23 !important;
}

body {
    font-family: "Raleway", sans-serif;
    font-weight: normal;
}

a:hover{
    color: #001D23 !important;
}

.text-white-50:hover{
    color: rgba(255,255,255,0.5) !important;
}

.back-to-top {
    position: fixed;
    display: none;
    right: 30px;
    bottom: 30px;
    z-index: 99;
}

.gray-bg {
    background: #f4f9fc;
}

.btn-round-full {
    border-radius: 50px;
}
.btn-main-2 {
    background: #e12454;
    color: #fff;
    border-color: #e12454;
}

.btn-success, .btn-success:hover{
    background-color: #fff;
    color: #47A73C;
}

.swal2-confirm{
    background-color: #47A73C;
    color: #fff;
}

.btn-circle.btn-lg {
    width: 50px;
    height: 50px;
    padding: 13px 10px;
    line-height: 1.33;
    border-radius: 25px;
}

.bg-dark {
    background-color: #00703C !important;
}

.section-tittle {
    position: relative;
    text-transform: uppercase;
}

.section-tittle::after {
    content: "";
    position: absolute;
    top: -42px;
    left: 50%;
    width: 5px;
    height: 30px;
    background: #72af22 !important;
}

.section-tittle2 {
    padding-left: 10px;
    position: relative;
}

.section-tittle2::before {
    content: "";
    position: absolute;
    top: 0px;
    left: 0px;
    width: 5px;
    height: 40px;
    background: #72af22 !important;
}


/*** Spinner ***/
#spinner {
    opacity: 0;
    visibility: hidden;
    transition: opacity .5s ease-out, visibility 0s linear .5s;
    z-index: 99999;
}

#spinner.show {
    transition: opacity .5s ease-out, visibility 0s linear 0s;
    visibility: visible;
    opacity: 1;
}


/*** Button ***/
.btn {
    font-weight: 500;
    transition: .5s;
}

.btn-primary
{
    background-color: var(--primary);
    border-color: var(--primary);
}

.btn-primary:hover {
    /* background-color: var(--primary); */
    border-color: var(--primary);
}

.btn-outline-primary
{
    background-color: transparent;
    border-color: var(--light);
    color: var(--light);
}

.btn-outline-light
{
    background-color: transparent;
    border-color: var(--light);
    color: var(--light);
}
.btn.btn-outline-light:hover {
    background-color: transparent;
    border: 2px solid var(--light);
    color: var(--light);
}

.btn-primary:hover {
    background-color: var(--primary);
    border-color: var(--primary);
}

.btn.btn-primary,
.btn.btn-outline-primary:hover {
    color: #FFFFFF;
}

.btn.btn-primary:hover {
    color: var(--primary);
    background: transparent;
}

.btn-square {
    width: 38px;
    height: 38px;
}

.btn-sm-square {
    width: 32px;
    height: 32px;
}

.btn-lg-square {
    width: 48px;
    height: 48px;
}

.btn-square,
.btn-sm-square,
.btn-lg-square {
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: normal;
}

.divider {
    width: 40px;
    height: 5px;
    background: var(--primary);
}



/*** Header ***/
.carousel-caption{
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    background: rgba(0, 29, 35, .6);
    z-index: 1;
}
.carousel-control-prev,
.carousel-control-next {
    width: 15%;
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
    width: 3rem;
    height: 3rem;
    background-color: var(--dark);
    border: 12px solid var(--dark);
    border-radius: 3rem;
}

.carousel-indicators [data-bs-target]{
    width: 10px;
    height: 10px;
    background-color: #c2dacd;
    margin: 0 4px;
    border-radius: 10px;
    opacity: 1;
    transition: 0.3s;
}
.carousel-indicators [data-bs-target]:hover{
    width: 20px;
}
.carousel-indicators .active {
    width: 20px;
    opacity: 1;
    background-color: #47A73C;
}

#header-carousel .carousel-item {
    position: relative;
    min-height: 80vh;
}

#header-carousel .carousel-item img {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
}


/* 
@media (max-width: 400px) {
    #header-carousel .carousel-item {
        position: relative;
        min-height: 110vh;
    }
    
    #header-carousel .carousel-item img {
        position: absolute;
        width: 100%;
        height: 100%;
        object-fit: cover;
    }
} */
@media (max-width: 768px) {
    #header-carousel .carousel-item {
        position: relative;
        min-height: 85vh;
    }

    

    #header-carousel .carousel-item .container {
        padding-left: 15px;
        padding-right: 15px;
    }
}

.page-header {
    padding-top: 12rem;
    padding-bottom: 6rem;
    background: linear-gradient(rgba(0, 29, 35, .3), rgba(0, 29, 35, .3)), url(../../assets/img/hero/croplife-header-1.jpeg) center center no-repeat;
    background-size: cover;
}

.page-header .breadcrumb-item+.breadcrumb-item::before {
    color: #999999;
}


/*** Causes ***/
.causes-item .progress {
    height: 5px;
    border-radius: 0;
    overflow: visible;
}

.causes-item .progress .progress-bar {
    position: relative;
    overflow: visible;
    width: 0px;
    border-radius: 0;
    transition: 5s;
}

.causes-item .progress .progress-bar span {
    position: absolute;
    top: -7px;
    right: 0;
    width: 40px;
    height: 19px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 12px;
    background: var(--primary);
    color: #FFFFFF;
}

.causes-item .causes-overlay {
    position: absolute;
    width: 100%;
    height: 0;
    top: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    background: rgba(0, 0, 0, .5);
    overflow: hidden;
    opacity: 0;
    transition: .5s;
}

.causes-item:hover .causes-overlay {
    height: 100%;
    opacity: 1;
}


/*** Contact ***/
.contact-item {
    box-shadow: 0 0 45px rgba(0, 0, 0, .06);
    position: relative;
    overflow: hidden;
}

.contact-item i {
    color: #47A73C;
    font-size: 2.5em;
    padding-bottom: 10px;
}

.contact-item h5 {
    color: #001D23;
    position: relative;
}

.contact-item h5::after {
    background: #47A73C;
    content: '';
    display: block;
    height: 4px;
    position: absolute;
    width: 21px;
    overflow: hidden;
    bottom: -10px;
    left: calc(48% - 5px);
}

/*** Service ***/
.service-item {
    box-shadow: 0 0 45px rgba(0, 0, 0, .06);
    position: relative;
    overflow: hidden;
}

.background-img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-size: cover;
    background-position: center;
    z-index: 1;
}

.overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 67, 36, 0.85); /* Black filter with 50% opacity */
    z-index: 2;
}

.service-item img,
.service-item h4,
.service-item p,
.service-item a {
    position: relative;
    z-index: 3;
}

.service-item p {
    color: #FFFFFF;
}

.button-container {
    position: relative;
    z-index: 3;
    width: 100%;
}


/*** Donate ***/
.donate {
    position: relative;
    background-size: cover;
    background-position: center center;
    overflow: hidden;
    color: white; /* Ensure text color is white for better contrast */
}

.donate::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0, 29, 35, 0.8); /* Semi-transparent overlay */
    z-index: 1;
}

.donate .container {
    position: relative;
    z-index: 2;
}


.btn-group .btn-light:hover,
.btn-group input[type="radio"]:checked+label {
    color: var(--primary);
    border-color: var(--primary);
}


/*** Team ***/
.team-item img {
    position: relative;
    top: 0;
    transition: .5s;
}

.team-item:hover img {
    top: -30px;
}

.team-item .team-text {
    position: relative;
    height: 100px;
    transition: .5s;
}

.team-item:hover .team-text {
    margin-top: -60px;
    height: 160px;
}

.team-item .team-text .team-social {
    opacity: 0;
    transition: .5s;
}

.team-item:hover .team-text .team-social {
    opacity: 1;
}

.team-item .team-social .btn {
    display: inline-flex;
    color: var(--primary);
    background: #FFFFFF;
    border-radius: 40px;
}

.team-item .team-social .btn:hover {
    color: #FFFFFF;
    background: var(--primary);
}


/*** Testimonial ***/
.testimonial-carousel::before {
    position: absolute;
    content: "";
    top: 0;
    left: 0;
    height: 100%;
    width: 0;
    background: linear-gradient(to right, rgba(255, 255, 255, 1) 0%, rgba(255, 255, 255, 0) 100%);
    z-index: 1;
}

.testimonial-carousel::after {
    position: absolute;
    content: "";
    top: 0;
    right: 0;
    height: 100%;
    width: 0;
    background: linear-gradient(to left, rgba(255, 255, 255, 1) 0%, rgba(255, 255, 255, 0) 100%);
    z-index: 1;
}

@media (min-width: 768px) {
    .testimonial-carousel::before,
    .testimonial-carousel::after {
        width: 200px;
    }
}

@media (min-width: 992px) {
    .testimonial-carousel::before,
    .testimonial-carousel::after {
        width: 300px;
    }
}

.testimonial-carousel .owl-item .testimonial-text {
    background: var(--light);
    transform: scale(.8);
    transition: .5s;
}

.testimonial-carousel .owl-item.center .testimonial-text {
    background: var(--primary);
    transform: scale(1);
}

.testimonial-carousel .owl-item .testimonial-text *,
.testimonial-carousel .owl-item .testimonial-item img {
    transition: .5s;
}

.testimonial-carousel .owl-item.center .testimonial-text * {
    color: var(--light) !important;
}

.testimonial-carousel .owl-item.center .testimonial-item img {
    background: var(--primary) !important;
} 

.testimonial-carousel .owl-nav {
    position: absolute;
    width: 350px;
    top: 15px;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    justify-content: space-between;
    opacity: 0;
    transition: .5s;
    z-index: 1;
}

.testimonial-carousel:hover .owl-nav {
    width: 300px;
    opacity: 1;
}

.testimonial-carousel .owl-nav .owl-prev,
.testimonial-carousel .owl-nav .owl-next {
    position: relative;
    color: var(--primary);
    font-size: 45px;
    transition: .5s;
}

.testimonial-carousel .owl-nav .owl-prev:hover,
.testimonial-carousel .owl-nav .owl-next:hover {
    color: var(--dark);
}


/*** Preloader ***/
.preloader {
    background-color: #f7f7f7;
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 999999;
    -webkit-transition: 0.6s;
    -o-transition: 0.6s;
    transition: 0.6s;
    margin: 0 auto;
}
.preloader .preloader-circle {
    width: 100px;
    height: 100px;
    position: relative;
    border-style: solid;
    border-width: 1px;
    border-top-color: #47a73c;
    border-bottom-color: transparent;
    border-left-color: transparent;
    border-right-color: transparent;
    z-index: 10;
    border-radius: 50%;
    -webkit-box-shadow: 0 1px 5px 0 rgba(35, 181, 185, 0.15);
    box-shadow: 0 1px 5px 0 rgba(35, 181, 185, 0.15);
    background-color: #ffffff;
    -webkit-animation: zoom 2000ms infinite ease;
    animation: zoom 2000ms infinite ease;
    -webkit-transition: 0.6s;
    -o-transition: 0.6s;
    transition: 0.6s;
}
.preloader .preloader-circle2 {
    border-top-color: #0078ff;
}
.preloader .preloader-img {
    position: absolute;
    top: 50%;
    z-index: 200;
    left: 0;
    right: 0;
    margin: 0 auto;
    text-align: center;
    display: inline-block;
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
    padding-top: 6px;
    -webkit-transition: 0.6s;
    -o-transition: 0.6s;
    transition: 0.6s;
}
.preloader .preloader-img img {
    max-width: 55px;
}
.preloader .pere-text strong {
    font-weight: 800;
    color: #dca73a;
    text-transform: uppercase;
}
@-webkit-keyframes zoom {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
        -webkit-transition: 0.6s;
        -o-transition: 0.6s;
        transition: 0.6s;
    }
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
        -webkit-transition: 0.6s;
        -o-transition: 0.6s;
        transition: 0.6s;
    }
}
@keyframes zoom {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
        -webkit-transition: 0.6s;
        -o-transition: 0.6s;
        transition: 0.6s;
    }
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
        -webkit-transition: 0.6s;
        -o-transition: 0.6s;
        transition: 0.6s;
    }
}

/*** Footer ***/

.footer .btn.btn-link {
    display: block;
    margin-bottom: 5px;
    padding: 0;
    text-align: left;
    color: rgba(255,255,255,0.5);
    font-weight: normal;
    text-transform: capitalize;
    transition: .3s;
}

.footer .btn.btn-link::before {
    position: relative;
    content: "\f054";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    color: rgba(255,255,255,0.5);
    margin-right: 10px;
}

.footer .btn.btn-link:hover {
    color: var(--light);
    letter-spacing: 1px;
    box-shadow: none;
}

.footer .btn.btn-square {
    color: rgba(255,255,255,0.5);
    border: 1px solid rgba(255,255,255,0.5);
}

.footer .btn.btn-square:hover {
    color: var(--secondary);
    border-color: var(--light);
}

.footer .copyright {
    padding: 25px 0;
    font-size: 15px;
    border-top: 1px solid rgba(256, 256, 256, .1);
}

.footer .copyright a {
    color: var(--secondary);
}

.footer .copyright a:hover {
    color: var(--primary);
}

.footer .newletter .icon{
    color: #fff;
    font-size: 55px;
}

.footer .newletter .title1{
    color: #fff;
    font-size: 24px;
    line-height: 28px;
}

.footer .newletter .title2{
    color: #fff;
    font-size: 13px;
    line-height: 18px;
}

.footer .footer-form {
    margin-bottom: 30px;
}
.footer .footer-form form {
    position: relative;
}
.footer .footer-form form input {
    width: 100%;
    height: 43px;
    padding: 10px 20px;
    border: 0;
    background: #fff;
    color: #000;
}
.footer .footer-form form input::placeholder {
    color: #9fa6bd;
}
.footer .footer-form form .form-icon button {
    position: absolute;
    top: 0px;
    right: 0;
    background: none;
    border: 0;
    cursor: pointer;
    padding: 14px 22px;
    background: #f79132;
    line-height: 1;
    color: #fff;
}

/*** Search Bar ***/
.bg-search {
    background-color: rgba(114,175,34,.28);
}

/* Portfolio Section */
.portfolio {
    padding: 30px 0;
}

.portfolio .portfolio-filters {
    padding: 0;
    margin: 0 auto 20px;
    list-style: none;
    text-align: center;
}

.portfolio .portfolio-filters li {
    cursor: pointer;
    display: inline-block;
    padding: 8px 20px;
    font-size: 15px;
    font-weight: 500;
    margin: 0 5px;
    border-radius: 4px;
    transition: all 0.3s ease-in-out;
}

.portfolio .portfolio-filters li,
.portfolio .portfolio-filters li.filter-active {
    color: #fff;
    background-color: #00703C;
}

@media (max-width: 575px) {
    .portfolio .portfolio-filters li {
    font-size: 14px;
    margin: 0 0 10px;
    }
}

.portfolio .portfolio-item {
    position: relative;
    overflow: hidden;
}

.portfolio .portfolio-item .portfolio-info {
    opacity: 1;
    position: absolute;
    left: 12px;
    right: 12px;
    bottom: 0px;
    transition: all ease-in-out 0.5s;
    background: color-mix(in srgb, #00703C, transparent 10%);
    padding: 15px;
}

.portfolio .portfolio-item .portfolio-info h4 {
    font-size: 18px;
    font-weight: 600;
    color: #fff;
    margin-bottom: 0;
}

.portfolio .portfolio-item .portfolio-info p {
    color: color-mix(in srgb, #47A73C, transparent 30%);
    font-size: 14px;
    margin-bottom: 0;
}

.portfolio .portfolio-item .portfolio-info .preview-link,
.portfolio .portfolio-item .portfolio-info .details-link {
    position: absolute;
    right: 50px;
    font-size: 14px;
    top: calc(50% - 14px);
    color: color-mix(in srgb, #00703C, transparent 30%);
    transition: 0.3s;
}

.portfolio .portfolio-item .portfolio-info .preview-link:hover,
.portfolio .portfolio-item .portfolio-info .details-link:hover {
    color: #fff;
}

.portfolio .portfolio-item .portfolio-info .details-link {
    right: 14px;
    font-size: 14px;
    color: #f4f9fc;
}

/*--------------------------------------------------------------
# Portfolio Details Section
--------------------------------------------------------------*/
.portfolio-details .portfolio-details-slider img {
    width: 100%;
}

.portfolio-details .portfolio-details-slider .swiper-pagination {
    margin-top: 20px;
    position: relative;
}

.portfolio-details .portfolio-details-slider .swiper-pagination .swiper-pagination-bullet {
    width: 12px;
    height: 12px;
    background-color: color-mix(in srgb, var(--default-color), transparent 85%);
    opacity: 1;
}

.portfolio-details .portfolio-details-slider .swiper-pagination .swiper-pagination-bullet-active {
    background-color: var(--accent-color);
}

.portfolio-details .portfolio-info {
    padding: 30px;
    box-shadow: 0px 0 30px color-mix(in srgb, var(--default-color), transparent 90%);
}

.portfolio-details .portfolio-info h3 {
    font-size: 22px;
    font-weight: 700;
    margin-bottom: 20px;
    padding-bottom: 20px;
    border-bottom: 1px solid color-mix(in srgb, var(--default-color), transparent 85%);
}

.portfolio-details .portfolio-info ul {
    list-style: none;
    padding: 0;
    font-size: 15px;
}

.portfolio-details .portfolio-info ul li+li {
    margin-top: 10px;
}

.portfolio-details .portfolio-description {
    padding-top: 30px;
}

.portfolio-details .portfolio-description h2 {
    font-size: 26px;
    font-weight: 700;
    margin-bottom: 20px;
}

.portfolio-details .portfolio-description p {
    padding: 0;
    color: color-mix(in srgb, var(--default-color), transparent 30%);
}